Bug 181683 - Handle OSGi bundles jars with the same level of support in autoupdate as NBMs
Handle OSGi bundles jars with the same level of support in autoupdate as NBMs
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Autoupdate
6.x
All All
: P2 (vote)
: 7.3
Assigned To: Jiri Rechtacek
au-issues
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-09 06:40 UTC by dlipin
Modified: 2012-09-14 02:11 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dlipin 2010-03-09 06:40:38 UTC
OSGi bundles can now be installed when referenced from UC catalog because of Issue #181025. 
We should also provide a way to work with OSGi jars with the same level of support as currently NBMs have. At least, have the ability to install them manually from "Downloaded" tab in Plugin Manager.
Comment 1 Jaroslav Tulach 2010-11-23 12:38:25 UTC
Are we sure anyone wants this feature?
Comment 2 Jesse Glick 2012-02-20 19:58:21 UTC
enebo (on CC) got burned by this. Really he wanted to register a new (local) update site under Settings, but the more discoverable approach was to add modules under Downloaded. However this added only the NBMs (even after selecting "All Files" in the chooser filter rather than *.nbm) and simply ignored the bundles.
Comment 3 Jesse Glick 2012-02-20 19:59:33 UTC
Component should perhaps be Plugin Manager, unless this really requires lower-level work in autoupdate.services too.
Comment 4 Jiri Rechtacek 2012-04-12 12:08:01 UTC
Needs to make a info.xml for manually downloaded bundles and allow Plugin Manager to handling them.
Hint: nbbuild/antsrc/MakeUpdateDesc.fakeOSGiInfoXml() deals with a similar problem.
Any patch will be welcome.
Comment 5 Jiri Rechtacek 2012-08-29 12:01:48 UTC
http://hg.netbeans.org/core-main/rev/5fac903ff6a0
Comment 6 Quality Engineering 2012-08-30 02:13:09 UTC
Integrated into 'main-golden', will be available in build *201208300001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/08fcc42d4b42
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: cont. #181683, a working prototype
Comment 7 Quality Engineering 2012-09-14 02:11:03 UTC
Integrated into 'main-golden', will be available in build *201209140001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/4258fcca45bf
User: Jiri Rechtacek <jrechtacek@netbeans.org>
Log: #181683: consider also Export-Package and Import-Package attributes in OSGi bundles


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo